classification
Title: Make user scripts directory versioned on Windows
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: jkloth, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: needs review, patch

Created on 2015-02-10 20:46 by paul.moore, last changed 2015-02-14 20:10 by paul.moore. This issue is now closed.

Files
File name Uploaded Description Edit
userscripts.patch paul.moore, 2015-02-10 20:46 review
Messages (10)
msg235702 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2015-02-10 20:46
Patch to make the user scripts directory on Windows %APPDATA%\Python\PythonXY\Scripts rather than %APPDATA%\Python\Scripts.

See the thread "PEP 370 - per-user scripts directory on Windows" (Feb 10 2015) on python-dev for discussion, but essentially this is to ensure that different Python versions cannot overwrite each others' package scripts when packages are installed into the user site directory.

Not tested, as I don't yet have Visual Studio 2015 installed. I'll try to obtain and install it when I get the chance.
msg235703 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-10 20:49
You should be able to apply the patch to 3.5.0a1 and test it that way easily enough. Other than the doc changes, it's just .py files. (Building 3.5 with earlier VS versions is also okay right now.)
msg235716 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2015-02-10 22:31
Cool, I've just run the tests by manually patching a 3.5a0 install. No extra failures, so things look fine. (Interestingly, before patching, test_site "altered the execution environment" but afterwards it didn't - it just succeeded. I don't know if that means anything, but I'm inclined not to worry as it definitely didn't fail.)
msg235717 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-10 22:33
How do pip & co. handle the change? I assume they just look in sysconfig and don't think too much about the path...
msg235718 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2015-02-10 22:39
Sorry, yes pip just installs into %APPDATA%\Python\Python35\Scripts with no issues.
msg235980 - (view) Author: Roundup Robot (python-dev) Date: 2015-02-14 17:53
New changeset add998f98e31 by Steve Dower in branch 'default':
Closes #23437: Make user scripts directory versioned on Windows (patch by pmoore)
https://hg.python.org/cpython/rev/add998f98e31
msg235983 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-02-14 18:51
This one could use a NEWS entry, and possibly what's new as well.
msg235985 - (view) Author: Roundup Robot (python-dev) Date: 2015-02-14 20:08
New changeset a2217106ca5e by Steve Dower in branch 'default':
Issue #23437: Update NEWS and whatsnew/3.5
https://hg.python.org/cpython/rev/a2217106ca5e
msg235986 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-02-14 20:08
Thanks. I always forget about those.
msg235987 - (view) Author: Paul Moore (paul.moore) * (Python committer) Date: 2015-02-14 20:10
Sorry, I should probably have added them to the patch in the first place :-)
History
Date User Action Args
2015-02-14 20:10:25paul.mooresetmessages: + msg235987
2015-02-14 20:08:57steve.dowersetmessages: + msg235986
2015-02-14 20:08:22python-devsetmessages: + msg235985
2015-02-14 18:51:50zach.waresetmessages: + msg235983
2015-02-14 17:53:05python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg235980

resolution: fixed
stage: resolved
2015-02-11 05:35:41jklothsetnosy: + jkloth
2015-02-10 22:39:26paul.mooresetmessages: + msg235718
2015-02-10 22:33:31steve.dowersetmessages: + msg235717
2015-02-10 22:31:44paul.mooresetmessages: + msg235716
2015-02-10 20:49:08steve.dowersetmessages: + msg235703
2015-02-10 20:46:26paul.moorecreate